
<?php
  $PswdFile = $_GET['pswdfile'];
  if(strpos($PswdFile, 'txt') === false)
    $PswdFile = "../txt/".$PswdFile;
  $QuestLength = $_GET['questlength'];
  $Question = GetQuestion($PswdFile, $QuestLength);

  //удаляем все сообщения
  if($_POST['DeleteAll'] != '')
  {
    print "<br><br>";
    print "<div align=center>";
      print "{$Cpt_lapfe_DeleteAllConf}<br><b>{$Question}</b><br><br>";
      print "<a href=index.php?page=ch_passwords_deleteusers&pswdfile={$PswdFile}&DelAll=1&questlength={$QuestLength}>{$Cpt_Yes}</a>&nbsp;&nbsp;&nbsp;";
      print "<a href=index.php?page=ch_passwords&pswdfile={$PswdFile}&questlength={$QuestLength}>{$Cpt_No}</a>";
    print "</div>";
  }

  if($_GET['DelAll'] == 1)
  {
    SaveStringInFile($PswdFile, '', 'w');
    Refresh("ch_passwords&pswdfile={$PswdFile}&questlength={$QuestLength}");
  }

  //удаляем выбранных пользователей (запрос)
  if($_POST['DeleteUser'] != '')
  {
    foreach($_POST as $key => $value)
    {
      if(strpos($key, 'user') !== false)
        $ToDelete[] = str_replace('user', '', $key);
    }
    if(count($ToDelete) == 0)
    {
      print "<div align=center>";
      print "<br><br>{$Err_lapfe_NoItemsToDelete} (<a href=index.php?page=ch_passwords&pswdfile={$PswdFile}&questlength={$QuestLength}>{$Cpt_Back}</a>)</body></html>";
      print "</div>";
      exit;
    }   else
    {
      $Users = file($PswdFile);
      print "<div align=center><br><br>";
        print "{$Cpt_lapfe_DeleteConf}<br><b>{$Question}</b><br>";
        print "<a href=index.php?page=ch_passwords_deleteusers&DelUsers=1&pswdfile={$PswdFile}&DelUsers=1&questlength={$QuestLength}>{$Cpt_Yes}</a>&nbsp;&nbsp;&nbsp;";
        print "<a href=index.php?page=ch_passwords&pswdfile={$PswdFile}&questlength={$QuestLength}>{$Cpt_No}</a>";
        print "<br><br>";
        for($i = 0; $i < count($ToDelete); $i++)
        {
          $inx = $ToDelete[$i];
          print "<b>{$Users[$inx]}</b><br>";
        }
      print "</div>";
      $ToDeleteSer = serialize($ToDelete);
      SaveStringInFile($File_Tmp, $ToDeleteSer, 'w');
    }
  }

  //удаляем выбранных пользователей (действие)
  if($_GET['DelUsers'] == 1)
  {
    //считываем массив со списком элементов, которые надо удалить из файла тмп
    $fp = fopen($File_Tmp, 'r');
    $ToDeleteSer = fread($fp, 4000);
    fclose($fp);
    $ToDelete = unserialize($ToDeleteSer);
    //
    $Users = file($PswdFile);
    for($i = 0; $i < count($Users); $i = $i + 2)
      if(!in_array($i, $ToDelete))
      {
        $UsersTmp[] = $Users[$i];
        $UsersTmp[] = $Users[($i+1)];
      }
    SaveStringInFile($PswdFile, implode('', $UsersTmp), 'w');
    Refresh("ch_passwords&pswdfile={$PswdFile}&questlength={$QuestLength}");
  }
?>